import 'package:flutter/material.dart';

class XStyles {
  static TextStyle xStyTextForLargeTitle([Color? textColor]) {
    return TextStyle(fontSize: 24, color: Colors.white);
  }

  static TextStyle xStyTextForTitle([Color? textColor]) {
    return TextStyle(fontSize: 22, color: Colors.white);
  }

  static TextStyle xStyTextForLabel([Color? textColor]) {
    return TextStyle(fontSize: 20, color: Colors.white);
  }

  static TextStyle xStyTextForTextBase([Color? textColor]) {
    return TextStyle(fontSize: 18, color: Colors.white);
  }

  static TextStyle xStyTextForDescr([Color? textColor]) {
    return TextStyle(fontSize: 16, color: Colors.white);
  }

  static TextStyle xStyleText({Color? colorText, double? fontSize, bool? activeBold = false, double? letterSpacing}) {
    return TextStyle(color: colorText ?? XColors.xcolor_ForegroundLight, fontSize: fontSize ?? 18, fontWeight: activeBold == false ? null : FontWeight.bold, letterSpacing: letterSpacing ?? 0);
  }
}

///////////  C O L O R S   B A S E  ///////////

class XColors {
  static final Color? primaryLight = Colors.white;
  static final Color? primaryDark = Colors.black;

//// THEME LIGHT ////
  static get xcolor_BackgroundLight => primaryLight;
  static get xcolor_ForegroundLight => primaryLight;

//// THEME DARK ////
  static get xcolor_BackgroundDark => primaryDark;
  static get xcolor_ForegroundDark => primaryDark;

//// THEME COLOR GENERAL ////
  static get xcolor_Done => Colors.greenAccent;
  static get xcolor_Undo => Colors.redAccent;
  static get xcolor_Warning => Colors.yellow;
  static get xcolor_BackGroungTitleDark => Colors.grey[800];
}

///////////  I C O N S   B A S E  ///////////

class XIcons {
  static get xicon_Done => Icons.done;
  static get xicon_Warning => Icons.warning;
  static get xicon_Delete => Icons.delete;
  static get xicon_Undo => Icons.undo;
  static get xicon_Refresh => Icons.refresh;
}
